<?php # $Id: serendipity_event_reallivecomment.php 0.1 2008/09/11 09:00:45 onli $


if (IN_serendipity !== true) {
    die ("Don't hack!");
}

// Probe for a language include with constants. Still include defines later on, if some constants were missing
$probelang = dirname(__FILE__) . '/' . $serendipity['charset'] . 'lang_' . $serendipity['lang'] . '.inc.php';
if (file_exists($probelang)) {
    include $probelang;
}

include dirname(__FILE__) . '/lang_en.inc.php';

class serendipity_event_reallivecomment extends serendipity_event
{
    var $title = PLUGIN_EVENT_REALLIVECOMMENT_NAME;

    function introspect(&$propbag)
    {
        global $serendipity;

        $propbag->add('name',          PLUGIN_EVENT_REALLIVECOMMENT_NAME);
        $propbag->add('description',   PLUGIN_EVENT_REALLIVECOMMENT_DESC);
        $propbag->add('stackable',     false);
        $propbag->add('author',        'Malte Paskuda');
        $propbag->add('requirements',  array(
            'serendipity' => '1.0',
            'smarty'      => '2.6.7',
            'php'         => '4.1.0'
        ));
        $propbag->add('version',       '0.1');
        $propbag->add('event_hooks',   array(
            //'frontend_comment' => true,
        	'frontend_header'  => true,
        	'external_plugin'  => true
        	//'fetchcomments'    => true
        	//'genpage'          => true
        ));
        $propbag->add('groups', array('FRONTEND_VIEWS'));
    }

    function generate_content(&$title) {
        $title = $this->title;
    }

    function introspect_config_item($name, &$propbag)
    {
        switch($name) {
	        case 'MARKDOWN_EXTRA':
	            $propbag->add('type', 'boolean');
	            $propbag->add('name', PLUGIN_EVENT_REALLIVECOMMENT_EXTRA_NAME);
	            $propbag->add('description', PLUGIN_EVENT_REALLIVECOMMENT_EXTRA_DESC);
	            $propbag->add('default', false);
	            return true;
	            break;
        }
    }

    function event_hook($event, &$bag, &$eventData) {
        global $serendipity;

        $hooks = &$bag->get('event_hooks');

        if (isset($hooks[$event])) {
            switch($event) {
                case 'external_plugin':
                    if ($eventData == 'jquery.js') {
                        header('Content-Type: text/javascript');
                        echo file_get_contents(dirname(__FILE__). '/jquery.js');
                    }

                    elseif ($eventData == 'reallivecomment.js') {
                        header('Content-Type: text/javascript');
                        echo file_get_contents(dirname(__FILE__). '/serendipity_event_reallivecomment.js');
                    } elseif ($eventData == 'reallivecomment') {
                        $data = array('comment' => $_REQUEST['data']);
                        serendipity_plugin_api::hook_event('frontend_display', $data);
                        echo $data['comment'];
                    } 
                    return true;
                    break;

            	case 'frontend_header':
                    echo '<script type="text/javascript" src="' . $serendipity['baseURL'] . 'index.php?/plugin/jquery.js"></script>';
                    echo '
';
                    echo '<script type="text/javascript" src="' . $serendipity['baseURL'] . 'index.php?/plugin/reallivecomment.js"></script>';
                    
            	  	return true;
            	  	break;

                default:
                    return false;
            }
        } else {
            return false;
        }
    }

}

/* vim: set sts=4 ts=4 expandtab :
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
*/
